%define name nihongobenkyo
%define version 0.2
%define release 1mdk

Summary: Japanese dictionary and learning tool
Name: %{name}
Version: %{version}
Release: %{release}
URL: http://nihongobenkyo.rubyforge.org/
Source0: http://rubyforge.org/frs/download.php/746/%{name}-%{version}.tar.bz2
#Source1: %{name}-16.png.bz2
#Source2: %{name}-32.png.bz2
#Source3: %{name}-48.png.bz2
License: GPL
Group: Databases
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: ruby >= 1.8 ruby-gettext >= 0.6.1
Requires: ruby-libglade2 ruby-gconf2 ruby-gtk2 >= 0.12.0 ruby-sqlite3 intltool
#BuildRequires: ruby-devel gettext GConf2
BuildArch: noarch

%define ruby_libdir %(ruby -rrbconfig -e "puts Config::CONFIG['sitelibdir']")
%define ruby_archdir %(ruby -rrbconfig -e "puts Config::CONFIG['sitearchdir']")

%description
Nihongo Benkyo is a japanese dictionary and learning tool.

Nihongo Benkyo:

  * Searches words from kanji, kana, romaji or translation.
  * Imports edict-format dictionaries.
  * Scans selections from other applications.
  * Has its interface translated in english and french.

%prep
%setup -q

%build
ruby install.rb config
ruby install.rb setup

%install
rm -rf %buildroot
ruby install.rb install --prefix=%buildroot

%find_lang %name --all-name 

#menu
install -m 755 -d %buildroot%{_menudir}
cat << EOF > %buildroot%{_menudir}/%{name}
?package(%name): needs="x11" \
        section="Office/Accessories" \
        title="Nihongo Benkyo" \
        longtitle="Japanese dictionary and learning tool" \
        command="%{_bindir}/%{name}"
EOF
install -m 755 -d %buildroot%{_datadir}/applications/
cp -a %{name}.desktop %buildroot%{_datadir}/applications/

# icon
install -m 755 -d %buildroot{%{_miconsdir},%{_liconsdir}}
#cp -a data/nihongobenkyo/icons/alexandria_small.png %buildroot%_miconsdir/%{name}.png
#cp -a data/nihongobenkyo/icons/alexandria_small.png %buildroot%_iconsdir/%{name}.png
#cp -a data/nihongobenkyo/icons/alexandria_small.png %buildroot%_liconsdir/%{name}.png

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %buildroot

%files -f %name.lang
%defattr(-,root,root)
%{_bindir}/*
%{ruby_libdir}/%{name}*
%{_datadir}/%{name}
%{_menudir}/%name
%{_datadir}/applications/%{name}.desktop
#%{_iconsdir}/%{name}.png
#%{_miconsdir}/%{name}.png
#%{_liconsdir}/%{name}.png

%doc AUTHORS COPYRIGHT README VERSION COPYING Changelog NEWS TODO 

%changelog
* Fri Sep 02 2005 Pascal Terjan <pterjan@mandriva.org> 0.2-1mdk
- 0.2

* Fri Jul 01 2005 Pascal Terjan <pterjan@mandriva.org> 0.1-2mdk
- fix summary

* Fri Jul 01 2005 Pascal Terjan <pterjan@mandriva.org> 0.1-1mdk
- first Mandriva release
